package com.fjhx.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.production.ProductionLine;
import com.fjhx.params.production.ProductionLineEx;
import com.fjhx.params.production.ProductionLineVo;

import java.util.Map;

/**
 * <p>
 * 生产线 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-06-28
 */
public interface ProductionLineService extends BaseService<ProductionLine> {

    Page<ProductionLineEx> getPage(Map<String, String> condition);

    void add(ProductionLineVo productionLineVo);

    void edit(ProductionLineVo productionLineVo);

    void delete(ProductionLineVo productionLineVo);

}
